QGIS Application - Bug report #21099
Postgis DB selector for outputs fails to list schemas in selected DB
2019-01-25 07:16 PM - Victor Olaya

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28917
Description

The defined connection appear in the selector window, but the tree is empty, with no schemas under each DB

Associated revisions

Revision 1b4a9132 - 2019-01-28 10:01 PM - Victor Olaya

[processing] avoid exception when listing DB schemas

do not fail if cert file cannot be deleted when creating GeoDB object

fixes #21099

Revision 11435027 - 2019-01-29 04:35 PM - Victor Olaya

[processing] avoid exception when listing DB schemas

do not fail if cert file cannot be deleted when creating GeoDB object

fixes #21099

(cherry picked from commit 1b4a9132c2bceb348bbb56177da75094dbb4cb5e)

History

#1 - 2019-01-28 11:22 AM - Victor Olaya

Looks like all parts of Processing where a schema list has to be shown, an exception is raised when in windows

#2 - 2019-01-28 10:00 PM - Victor Olaya
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|1b4a9132c2bceb348bbb56177da75094dbb4cb5e.
